/**
 * Created by K_A_Volchica on 15.06.2015.
 */
/*package ru.mai.dep806.table;

import java.io.*;
import java.servlet.*;
import javax.servlet.http.*;

public class Table extends HttpServlet {

    protected void doPost (HttpServletRequest request, HttpServletResponse response) throws ServletExeption, IOException {response.setContentType ("text/html;charset=UTF-8");

        int a=request.getParameter("a");

        try {
            a = Integer.parseInt(req.getParameter("a"));
        } catch (NumberFormatException e) {
            throw new IOException(
                    "First number must be integer");
        }

        int b=request.getParameter("b");

        try {
            b = Integer.parseInt(req.getParameter("b"));
        } catch (NumberFormatException e) {
            throw new IOException(
                    "Second number must be integer");
        }

           if (a <= 0 | a >= 50 | b <= 0 | b >= 50)
        {
            System.out.println("Variables must be positive, but less than 50");
            return;
        }
        else
        {
            int[][] matrixA;
            matrixA = new int[a + 1][b + 1];
            for (int l = 0; l <= a; l++) {
                for (int m = 0; m <= b; m++) {
                    matrixA[l][m] = l * m;
                }
            }

            for (int j = 1; j <= b; j++) {
                for (int i = 1; i <= a; i++) {
                    System.out.print(matrixA[i][j] + "=" + i + "*" + j + "\t");
                }
                System.out.println();
            }
        }
    }
}
*/